textures/aamjs_misc/lw_bike_yellow
{
	qer_editorimage textures/aamjs_misc/lw_bike_yellow.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm pointlight
	cull none
	nopicmip
		{
		map textures/aamjs_misc/lw_bike_yellow.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
		}
}

models/mapobjects/aamjs_mod/flowerspink1lx1p5
{
	qer_editorimage models/mapobjects/aamjs_mod/flowerbush.tga
	qer_trans .5
	surfaceparm trans
	surfaceparm alphashadow	
	cull none
	nopicmip
	surfaceparm pointlight
	q3map_vertexscale 1.5
	{
		map models/mapobjects/aamjs_mod/flowerbush.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}



textures/aamjs_fac/enggreencombo
{
	{	
		map textures/aamjs_fac/enggreencombo.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/aamjs_fac/enggreencombo.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/aamjs_fac/engredcombo
{
	{	
		map textures/aamjs_fac/engredcombo.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/aamjs_fac/engredcombo.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/aamjs_fac/engwingreen
{ 
qer_editorimage textures/aamjs_fac/engwingreen.tga
surfaceparm alphashadow
cull none
{
	map textures/effects/tinfxb.tga
	blendFunc GL_ONE GL_ONE
	tcgen environment
}
{
	map textures/aamjs_fac/engwingreen.tga
	alphaFunc GE128
}
	
{
	map $lightmap
	rgbGen identity
	blendFunc filter
}
} 

textures/aamjs_fac/engwinred
{ 
qer_editorimage textures/aamjs_fac/engwinred.tga
surfaceparm alphashadow
cull none
{
	map textures/effects/tinfxb.tga
	blendFunc GL_ONE GL_ONE
	tcgen environment
}
{
	map textures/aamjs_fac/engwinred.tga
	alphaFunc GE128
}
	
{
	map $lightmap rgbGen identity blendFunc filter
}
}

textures/aamjs_fac/covthwin256
{
	{	
		map textures/aamjs_fac/covthwin256.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/aamjs_fac/covthwin256.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/aamjs_fac/covthwin128
{
	{	
		map textures/aamjs_fac/covthwin128.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/aamjs_fac/covthwin128.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}




// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/aamjs_sky/c2nitewithclouds
{
	qer_editorimage textures/shaderlab_skybox/sky_arc_masked.tga
	
	q3map_sunExt 1 1 1 150 -35 25 2 12
	
	q3map_lightRGB 0.9 0.96 1.0
	q3map_lightmapFilterRadius 0 64
	q3map_skyLight 60 3
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	
	skyparms textures/shaderlab_skybox/env/sky 1024 -
	
	nopicmip
	nomipmaps
	
	{
		map textures/shaderlab_skybox/sky_clouds.tga
		tcMod scale 3 3
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
	}
	{
		map textures/shaderlab_skybox/sky_arc_masked.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		tcMod transform 0.25 0 0 0.25 0.1075 0.1075
		rgbGen identityLighting
	}
}

textures/aamjs_sky/shaderlabskymod
{
	qer_editorimage textures/shaderlab_skybox/sky_arc_maskedmod.tga
	q3map_sunExt 1 1 1 100 -60 60 2 12
	q3map_lightRGB 0.9 0.96 1.0
	q3map_lightmapFilterRadius 0 64
	q3map_skyLight 90 3
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	skyparms textures/shaderlab_skybox/env/sky 1024 -
	nopicmip
	nomipmaps
	{
		map textures/shaderlab_skybox/sky_clouds.tga
		tcMod scale 3 3
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
	}
	{
		map textures/shaderlab_skybox/sky_arc_maskedmod.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		tcMod transform 0.25 0 0 0.25 0.1075 0.1075
		rgbGen identityLighting
	}
}



textures/aamjs_door/bulddoor2gls2256
{
	{	
		map textures/aamjs_door/bulddoor2gls2256.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/aamjs_door/bulddoor2gls2256.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/aamjs_door/drgrnwin256
{
	{	
		map textures/aamjs_door/drgrnwin256.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/aamjs_door/drgrnwin256.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/urban_light/yellow_light_200filt64
{
	qer_editorimage textures/urban_light/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1
	q3map_lightmapFilterRadius 0 64
	q3map_surfacelight 200
	q3map_lightimage textures/urban_light/yellowblend.tga
}


textures/aamjs_misc/signmuttleysbar
{
q3map_lightimage textures/aamjs_misc/poolred.tga
q3map_surfacelight 150
	{
	map textures/aamjs_misc/signmuttleysbar.tga
	}
}

textures/aamjs_misc/signkingkebab
{
q3map_lightimage textures/aamjs_misc/poolred.tga
q3map_surfacelight 150
	{
	map textures/aamjs_misc/signkingkebab.tga
	}
}


textures/aamjs_misc/slideshownew
{ 
qer_editorimage textures/aamjs_misc/slideshowcampus01.tga

	{ 
	animMap 0.5 textures/aamjs_misc/slideshowcampus01.tga textures/aamjs_misc/slideshowcampus02.tga textures/aamjs_misc/slideshowcampus03.tga textures/aamjs_misc/slideshowcampus04.tga
	blendfunc GL_ONE GL_ONE
	depthWrite
	rgbGen identity
	} 
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}

}

textures/aamjs_misc/slideshow
{ 
qer_editorimage textures/aamjs_misc/slideshowcampus01.tga

	{ 
	animMap 0.5 textures/aamjs_misc/slideshowcampus01.tga textures/aamjs_misc/slideshowcampus02.tga textures/aamjs_misc/slideshowcampus03.tga textures/aamjs_misc/slideshowcampus04.tga
	blendfunc GL_ONE GL_ONE
	depthWrite
	rgbGen identity
	} 
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}

}