textures/base_trim/dark_tin2_trans
{  
	qer_editorimage textures/base_trim/dark_tin2
	surfaceparm nonsolid
   
        {
                map textures/base_trim/tinfx.tga       
                tcGen environment
                rgbGen vertex
	}  
        {
		map textures/base_trim/dark_tin2.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
         
}

textures/urban_lights/lightbulb
{
    cull disable
    deformVertexes autoSprite2
    surfaceparm trans
    surfaceparm nolightmap
	{
		map textures/urban_lights/lightbulb.tga
		blendFunc Add
		rgbGen identity
	}


}

textures/aamjs_misc/lightceilingbright
{
q3map_surfacelight 1000
{
map textures/aamjs_misc/lightceiling.tga
}
}

textures/base_trim/proto_fence
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/base_trim/proto_fence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/base_trim/pewter_shiney
{   
 
        {
                map textures/base_trim/tinfx.tga       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/base_trim/pewter_shiney.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}


//###########################################################################
// Vegetation
//###########################################################################

models/mapobjects/aamjs_mod/flowersor1
{
            cull none
            nopicmip
            {
                        map models/mapobjects/aamjs_mod/flowersor1.tga
                        alphaFunc GE128
                        depthWrite
                        rgbGen vertex
            }
}

models/mapobjects/aamjs_mod/flowersred1
{
            cull none
            nopicmip
            {
                        map models/mapobjects/aamjs_mod/flowersred1.tga
                        alphaFunc GE128
                        depthWrite
                        rgbGen vertex
            }
}

models/mapobjects/aamjs_mod/bambooish
{
            cull none
            nopicmip
            {
                        map models/mapobjects/aamjs_mod/bambooish.tga
                        alphaFunc GE128
                        depthWrite
                        rgbGen vertex
            }
}

models/mapobjects/aamjs_mod/branchesstrag
{
            cull none
            nopicmip
            {
                        map models/mapobjects/aamjs_mod/branchesstrag.tga
                        alphaFunc GE128
                        depthWrite
                        rgbGen vertex
            }
}

models/mapobjects/aamjs_mod/fern01
{
            cull none
            nopicmip
            {
                        map models/mapobjects/aamjs_mod/fern01.tga
                        alphaFunc GE128
                        depthWrite
                        rgbGen vertex
            }
}

models/mapobjects/aamjs_mod/fern02
{
            cull none
            nopicmip
            {
                        map models/mapobjects/aamjs_mod/fern02.tga
                        alphaFunc GE128
                        depthWrite
                        rgbGen vertex
            }
}

models/mapobjects/aamjs_mod/bush1
{
	cull none
	nopicmip
	{
		map models/mapobjects/ddtutorial/bush1.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/aamjs_mod/bush02
{
            cull none
            nopicmip
            {
                        map models/mapobjects/aamjs_mod/bush02.tga
                        alphaFunc GE128
                        depthWrite
                        rgbGen vertex
            }
}

models/mapobjects/aamjs_mod/bush03
{
            cull none
            nopicmip
            {
                        map models/mapobjects/aamjs_mod/bush03.tga
                        alphaFunc GE128
                        depthWrite
                        rgbGen vertex
            }
}

models/mapobjects/aamjs_mod/spikey01
{
            cull none
            nopicmip
            {
                        map models/mapobjects/aamjs_mod/spikey01.tga
                        alphaFunc GE128
                        depthWrite
                        rgbGen vertex
            }
}

models/mapobjects/aamjs_mod/grass01
{
            cull none
            nopicmip
            {
                        map models/mapobjects/aamjs_mod/grass01.tga
                        alphaFunc GE128
                        depthWrite
                        rgbGen vertex
            }
}

models/mapobjects/aamjs_mod/flowerbush
{
//	cull none
	nopicmip
	{
		map models/mapobjects/aamjs_mod/flowerbush.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/aamjs_mod/treetallthin2
{
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map models/mapobjects/aamjs_mod/treetallthin2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/aamjs_veg/flowersor1
{ 
qer_editorimage textures/aamjs_veg/flowersor1.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/aamjs_veg/flowersor1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/aamjs_veg/treebot1
{ 
qer_editorimage textures/aamjs_veg/treebot1.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/aamjs_veg/treebot1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/aamjs_veg/bambooish
{ 
qer_editorimage textures/aamjs_veg/bambooish.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/aamjs_veg/bambooish.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/aamjs_veg/flowerbush
{ 
	qer_editorimage textures/aamjs_veg/flowerbush.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/aamjs_veg/flowerbush.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/aamjs_veg/leavessolsx
{ 
qer_editorimage textures/aamjs_veg/leavessols.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/aamjs_veg/leavessols.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/aamjs_veg/treebr1bc
{ 
qer_editorimage textures/aamjs_veg/treebranch1bc.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/aamjs_veg/treebranch1bc.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}